Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRAbstractExtendedIncrementerFactory

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory

All Implemented Interfaces:
  JRExtendedIncrementerFactory, JRIncrementerFactory

Direct Known Subclasses:
  JRBigDecimalIncrementerFactory, JRByteIncrementerFactory, JRComparableIncrementerFactory, JRDefaultIncrementerFactory, JRDistinctCountExtendedIncrementerFactory, JRDoubleIncrementerFactory, JRFloatIncrementerFactory, JRIntegerIncrementerFactory, JRLongIncrementerFactory, JRShortIncrementerFactory

    public abstract class JRAbstractExtendedIncrementerFactory

extends java.lang.Object
implements JRExtendedIncrementerFactory

Base abstract implementation of `JRExtendedIncrementerFactory`.

Version:
  $Id: JRAbstractExtendedIncrementerFactory.java 3034 2009-08-27 11:58:04Z teodord $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`JRAbstractExtendedIncrementerFactory()`

Method Summary
`JRIncrementer` | `getIncrementer(byte calculation)` This implementation simply calls `getExtendedIncrementer`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.fill.JRExtendedIncrementerFactory
`getExtendedIncrementer`

Constructor Detail

### JRAbstractExtendedIncrementerFactory

    public JRAbstractExtendedIncrementerFactory()

Method Detail

### getIncrementer

    public JRIncrementer getIncrementer(byte calculation)

  This implementation simply calls `getExtendedIncrementer`.

  Specified by:
    `getIncrementer` in interface `JRIncrementerFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com